//                                                                             
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1997.   
//                                                                             
// DISCLAIMER OF WARRANTIES:                                                    
//  The following [enclosed] code is sample code created by IBM                
//  Corporation.  This sample code is not part of any standard IBM product     
//  and is provided to you solely for the purpose of assisting you in the      
//  development of your applications.  The code is provided "AS IS",           
//  without warranty of any kind.  IBM shall not be liable for any damages     
//  arising out of your use of the sample code, even if they have been         
//  advised of the possibility of such damages.                                
//                                                                             

class Rectengle {

private:
   int x, y;
   int height, length;

public:
    Rectengle(): x(0), y(0), height(10), length(10) {}

    Rectengle(int xorg, int yorg, int ht, int lth);

    Rectengle(int ht, int lth): x(0), y(0), height(ht), length(lth) {}

    Rectengle(const Rectengle& rect);

    ~Rectengle();

    void Move(int xdelta, int ydelta);

    void Draw() const;

    int Area() const {return(height*length);}

    void Title(char *title) const;
};
